%define upstream_name    Net-GitHub
%define upstream_version 0.54

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Perl Interface for github.com
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Net/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Any::Moose)
BuildRequires: perl(Crypt::SSLeay)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.360.0
BuildRequires: perl(File::Slurp)
BuildRequires: perl(HTML::TreeBuilder)
BuildRequires: perl(HTTP::Request::Common)
BuildRequires: perl(JSON::Any)
BuildRequires: perl(JSON::XS)
BuildRequires: perl(MIME::Base64)
BuildRequires: perl(Test::MockModule)
BuildRequires: perl(Test::More)
BuildRequires: perl(URI)
BuildRequires: perl(URI::Escape)
BuildRequires: perl(WWW::Mechanize::GZip)
BuildArch:  noarch

%description
Perl Interface for github.com 

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/Net/

%changelog
* Mon Oct 21 2013 umeabot <umeabot> 0.540.0-2.mga4
+ Revision: 537580
- Mageia 4 Mass Rebuild

* Fri Sep 27 2013 sander85 <sander85> 0.540.0-1.mga4
+ Revision: 487321
- update to 0.54

* Sun Sep 08 2013 sander85 <sander85> 0.530.0-1.mga4
+ Revision: 475981
- update to 0.53

* Sun Jun 02 2013 kharec <kharec> 0.520.0-1.mga4
+ Revision: 434772
- update to 0.52

* Sun Jan 13 2013 umeabot <umeabot> 0.500.0-2.mga3
+ Revision: 370623
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 0.500.0-1.mga3
+ Revision: 342435
- update to 0.50

* Tue Jun 05 2012 jquelin <jquelin> 0.460.0-1.mga3
+ Revision: 255185
- update to 0.46
- update to 0.30

* Wed Mar 09 2011 jquelin <jquelin> 0.280.0-1.mga1
+ Revision: 67011
- update to 0.28

* Tue Feb 22 2011 jquelin <jquelin> 0.270.0-1.mga1
+ Revision: 56645
- update to 0.27
- update to 0.26

* Tue Jan 25 2011 jquelin <jquelin> 0.240.0-1.mga1
+ Revision: 38259
- adding missing buildrequires:
- mageia rebuild
- imported package perl-Net-GitHub


* Sun Jan 02 2011 Guillaume Rousse <guillomovitch@mandriva.org> 0.240.0-1mdv2011.0
+ Revision: 627525
- update to new version 0.24

* Fri Nov 12 2010 Jérôme Quelin <jquelin@mandriva.org> 0.230.0-1mdv2011.0
+ Revision: 596624
- update to 0.23

* Tue Jul 13 2010 Jérôme Quelin <jquelin@mandriva.org> 0.220.0-1mdv2011.0
+ Revision: 552427
- update to 0.22

* Fri Apr 30 2010 Michael Scherer <misc@mandriva.org> 0.200.0-1mdv2010.1
+ Revision: 541160
- import perl-Net-GitHub


* Fri Apr 30 2010 cpan2dist 0.20-1mdv
- initial mdv release, generated with cpan2dist
